<ion-header>
  <ion-toolbar color="light">
    <ion-buttons slot="start">
      <ion-button (click)="back()"><ion-icon name="md-arrow-back"></ion-icon></ion-button>
    </ion-buttons>
    <ion-title>Select Invoices</ion-title>
    <ion-searchbar mode="ios" placeholder="Search invoice" hidden></ion-searchbar>
  </ion-toolbar>
  <ion-toolbar color="light">
    <ion-item lines="none" color="medium">
      <ion-label color="light">
        Select from Collection List
      </ion-label>
      <ion-toggle (ionChange)="getFrom($event)"></ion-toggle>
    </ion-item>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-list class="p-t-0" *ngIf="invoices && !fromCollectionList && !loading">
    <ion-item button="true" *ngFor="let invoice of invoices">
      <ion-label>
        <h2>Invoice #: {{invoice.InvoiceID}}</h2>
        <p>Date: {{invoice.InvoiceDate | date: 'MM/dd/yyyy'}}</p>
        <p>Terms: {{invoice.PaymentTerms}}</p>        
        <p>Amount: {{invoice.Amount | currency: ' '}}</p>
      </ion-label>
      <ion-checkbox slot="end" (ionChange)="selectInvoice(invoice)"></ion-checkbox>
    </ion-item>
  </ion-list>

  <ion-list class="p-t-0" *ngIf="collectionList && fromCollectionList && !loading">
    <ion-radio-group>
      <ion-item button="true" *ngFor="let collection of collectionList">
        <ion-label>
          <h2>ID: {{collection.ID}}</h2>
          <p>Salesman: {{collection.Salesman}}</p>
          <p>Collectible: {{collection.Collectible | currency: ' '}}</p>        
          <p>Collected: {{collection.Collected | currency: ' '}}</p>
          <p>Balance: {{collection.Balance | currency: ' '}}</p>
        </ion-label>
        <ion-radio slot="end" [value]="collection.ID" (ionSelect)="selectCollectionList(collection)"></ion-radio>
      </ion-item>
    </ion-radio-group>
  </ion-list>

  <ion-list *ngIf="loading">
    <ion-item color="light">      
      <ion-label>
        <h3>
          <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
        </h3>
        <p>
          <ion-skeleton-text animated style="width: 30%"></ion-skeleton-text>
        </p>
      </ion-label>
    </ion-item>
    <ion-item color="light">
      <ion-label>
        <h3>
          <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
        </h3>
        <p>
          <ion-skeleton-text animated style="width: 30%"></ion-skeleton-text>
        </p>
      </ion-label>
    </ion-item>
    <ion-item color="light">
      <ion-label>
        <h3>
          <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
        </h3>
        <p>
          <ion-skeleton-text animated style="width: 30%"></ion-skeleton-text>
        </p>
      </ion-label>
    </ion-item>
    <ion-item color="light">
      <ion-label>
        <h3>
          <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
        </h3>
        <p>
          <ion-skeleton-text animated style="width: 30%"></ion-skeleton-text>
        </p>
      </ion-label>
    </ion-item>
  </ion-list>
</ion-content>

<ion-footer class="form" *ngIf="selectedCount && !fromCollectionList">
  <ion-button shape="round" mode="ios" (click)="selectInvoices()">Select ({{selectedCount}})</ion-button>
</ion-footer>

<ion-footer class="form" *ngIf="selectedCount && fromCollectionList">
  <ion-button shape="round" mode="ios" (click)="selectCollection()">Select</ion-button>
</ion-footer>